# $Revision: 1.4 $, $Date: 2010/01/05 05:37:06 $
%define		dict	et_EE
Summary:	Estonian dictionaries for VIMspell
Name:		vim-spell-et
Version:	1.0
Release:	3
License:	free, see http://www.eki.ee/eki/licence.html
Group:		Applications/Editors/Vim
BuildRequires:	myspell-%{dict}
BuildRequires:	unzip
BuildRequires:	vim >= 4:7.0
Requires:	vim-rt >= 4:7.2.170
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim

%description
Estonian dictionaries for VIMspell.

%prep
%setup -qcT
# fails if myspell package installed without doc
cp -a %{_docdir}/myspell-%{dict}-$(rpm -q --qf %{V} myspell-%{dict})/README_et_EE.txt* .
[ *.gz ] && gzip -d *.gz

%build
vim -u NONE -c 'set enc=utf-8' -c 'mkspell! et %{_datadir}/myspell/et_EE' -c q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_vimdatadir}/spell
cp -a *.spl $RPM_BUILD_ROOT%{_vimdatadir}/spell

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README_et_EE.txt
%{_vimdatadir}/spell/et.*.spl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vim-spell-et.spec,v $
Revision 1.4  2010/01/05 05:37:06  glen
- build using myspell package

Revision 1.3  2010/01/05 05:11:19  glen
- use unversioned vim dir; rel 2

Revision 1.2  2009/07/20 20:19:04  glen
- doc README_et_EE.txt

Revision 1.1  2009/07/20 19:38:27  glen
- new, based on vim-spell-pl.spec
